Subject: Re: 31.0.50; Build failure on trunk after bbc9ed38719

From: Sam James <[email-masked]>
Date: Mon, 01 Sep 2025 15:25:45 +0100

Mattias Engdegård <[email-masked]> writes:

> 1 sep. 2025 kl. 15.07 skrev Sam James <[email-masked]>:
>
>> I see a build failure when building Emacs from trunk with
>> bbc9ed387193efb57b5dd0179057a343ef16b006.
>
> Thanks for your report, and sorry about the failure.

It happens, thank you!

> Did 985657e515 fix it for you?

It does, but I get a later failure with ./configure
--with-native-compilation=aot. I haven't yet looked into what's going on
yet, or reproduced it with GCC 15 (I don't have a copy of it on this
particular machine, just trunk ;)) - will do that shortly.

[...]

(fn FORM FEATURE &rest REST)"]
(wrong-type-argument symbolp 'xemacs)
Warning: Optimization failure for featurep: Handler: #[642 "\300\235\203\211\204\301!\207\207" [('xemacs 'sxemacs 'emacs) featurep] 5 "

(fn FORM FEATURE &rest REST)"]
(wrong-type-argument symbolp 'xemacs)
Warning: Optimization failure for featurep: Handler: #[642
"\300\235\203\211\204\301!\207\207" [('xemacs 'sxemacs 'emacs) featurep]
5 "
[...]

libgccjit.so: error: gcc_jit_context_new_call_through_ptr: too many arguments to fn_ptr: freloc->R6275666665722d737562737472696e672d6e6f2d70726f70657274696573_buffer_substring_no_properties_0 (got 3 args, expected 2)

Error: native-ice ("progmodes/verilog-mode.el" "gcc_jit_context_new_call_through_ptr: too many arguments to fn_ptr: freloc->R6275666665722d737562737472696e672d6e6f2d70726f70657274696573_buffer_substring_no_properties_0 (got 3 args, expected 2)")
  signal(native-ice ("progmodes/verilog-mode.el" "gcc_jit_context_new_call_through_ptr: too many arguments to fn_ptr: freloc->R6275666665722d737562737472696e672d6e6f2d70726f70657274696573_buffer_substring_no_properties_0 (got 3 args, expected 2)"))
  comp--native-compile("progmodes/verilog-mode.el")
  batch-native-compile()
  batch-byte+native-compile()
  command-line-1(("--eval" "(setq load-prefer-newer t byte-compile-warnings 'all)" "--eval" "(setq org--inhibit-version-check t)" "-l" "comp" "-f" "batch-byte+native-compile" "progmodes/verilog-mode.el"))
  command-line()
  normal-top-level()

debug-early-backtrace...done
Internal native compiler error: "progmodes/verilog-mode.el", "gcc_jit_context_new_call_through_ptr: too many arguments to fn_ptr: freloc->R6275666665722d737562737472696e672d6e6f2d70726f70657274696573_buffer_substring_no_properties_0 (got 3 args, expected 2)"
'../src/emacs' -batch --no-site-file --no-site-lisp --eval "(setq load-prefer-newer t byte-compile-warnings 'all)" --eval "(setq org--inhibit-version-check t)"  \
-l comp -f batch-byte+native-compile textmodes/table.el
'../src/emacs' -batch --no-site-file --no-site-lisp --eval "(setq load-prefer-newer t byte-compile-warnings 'all)" --eval "(setq org--inhibit-version-check t)"  \
-l comp -f batch-byte+native-compile textmodes/tex-mode.el
make[3]: *** [Makefile:331: progmodes/verilog-mode.elc] Error 255
make[3]: *** Waiting for unfinished jobs....